API SpecificationPRIVATExeonr.auth.private.v1.PasswordService
Reset Password
Resets the password using the token from the reset email.
Authentication: None required
Authorization
BearerAuth AuthorizationBearer <token>
JWT access token for internal API access. Requires 'private' scope for most endpoints, 'admin' scope for administrative operations.
In: header
Header Parameters
Connect-Protocol-Version*number
Define the version of the Connect protocol
Value in
1Connect-Timeout-Ms?number
Define the timeout, in ms
Request Body
application/json
token?string
Reset token from email
Length
1 <= length <= 128newPassword?string
New password
Length
8 <= length <= 128[key: string]?never
Response Body
application/json
application/json
curl -X POST "https://auth.xeonr.io/xeonr.auth.private.v1.PasswordService/ResetPassword" \ -H "Connect-Protocol-Version: 1" \ -H "Content-Type: application/json" \ -d '{}'{}{
"code": "not_found",
"message": "string",
"details": [
{
"type": "string",
"value": "string",
"debug": {}
}
]
}Resend Verification POST
Resends the verification email to the specified address. **Authentication:** None required **Protection:** Requires Cloudflare Turnstile token
Verify Email POST
Verifies the email address using the token from the verification email. Returns an exchange code for the HandleLogin flow. **Authentication:** None required